#ifndef CRYPTINFO_H
#define CRYPTINFO_H

#include "defines.h"

namespace cryptrav
{


class CryptInfo
 {
  private:

   void         reset(void);


  public:

   QString      name;
   bool         thisIsFile; // true - file, false - dir

   qint64       thisLastModified;

// the following are used only for files in Nominis-Crypt
   bool         thisIsNear;
   qint64       nearTime;
   qint64       thisNearSize;

   bool         thisIsFar;
   qint64       farTime;
   qint64       thisFarSize;

   qint16       thisAction;


   CryptInfo(void);

   QString      fileName(void);

   bool         isFile(void);

   QDateTime    lastModified(void);

   bool         isNear(void);
   QDateTime    nearLastModified(void);
   qint64       nearSize(void);

   bool         isFar(void);
   QDateTime    farLastModified(void);
   qint64       farSize(void);

   qint16       action(void);

   ~CryptInfo();

 };

typedef        QList<CryptInfo>                CryptInfoList;


} // namespace "cryptrav"

#endif // CRYPTINFO_H
